aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-buildpackage-funcs
diff options
context:
space:
mode:
authorJunichi Uekawa <dancer@netfort.gr.jp>2009-02-26 12:53:15 +0900
committerJunichi Uekawa <dancer@netfort.gr.jp>2009-02-26 14:33:11 +0900
commit06a64a8ce3cbe0e9b7079114f821083ca3c3a8da (patch)
tree516660a2366b18b40d1a823ba1ec188a39a59634 /pbuilder-buildpackage-funcs
parent37597b2cb6439cce9571de83218586b0a99e6ea9 (diff)
downloadpbuilder-06a64a8ce3cbe0e9b7079114f821083ca3c3a8da.tar
pbuilder-06a64a8ce3cbe0e9b7079114f821083ca3c3a8da.tar.gz
refactor to use 'log' function rather than using 'echo' directly.
First cut into doing this, hopefully we're not breaking anything.
Diffstat (limited to 'pbuilder-buildpackage-funcs')
-rw-r--r--pbuilder-buildpackage-funcs13
1 files changed, 6 insertions, 7 deletions
diff --git a/pbuilder-buildpackage-funcs b/pbuilder-buildpackage-funcs
index 5cdbe40..370c799 100644
--- a/pbuilder-buildpackage-funcs
+++ b/pbuilder-buildpackage-funcs
@@ -25,7 +25,7 @@ function copydsc () {
"$DSCFILE" \
$(cat "$DSCFILE" | \
awk 'BEGIN{p=0} /^$/ {p=0} /^.*:/ {p=0} {if (p){print "'$(dirname "$DSCFILE")'/" $3}} /^Files:/{p=1}' ) ; do
- echo " -> copying [$FILE]"
+ log "I: copying [$FILE]"
cp -p "$FILE" "$TARGET"
done
}
@@ -45,7 +45,7 @@ function checkbuilddep () {
if [ $? -eq 2 -a "${PRESERVE_BUILDPLACE}" = "yes" ]; then
trap umountproc_trap exit sighup
fi
- echo "E: pbuilder-satisfydepends failed." >&2
+ log "E: pbuilder-satisfydepends failed."
exit 2
fi
# install extra packages to the chroot
@@ -55,15 +55,14 @@ function checkbuilddep () {
}
function echobacktime () {
- echo "Current time: $(date)"
- echo "pbuilder-time-stamp: $(date +%s)"
+ log "I: Current time: $(date)"
+ log "I: pbuilder-time-stamp: $(date +%s)"
}
function showbuildbanner () {
# show some banners for building
- echo "pbuilder-buildpackage/"$(dpkg --print-architecture)
- echo "$1"
- echo
+ log "I: pbuilder-buildpackage/"$(dpkg --print-architecture)
+ log "I: $1"
}
function cowprotect () {